#### D.12.6.5 matbil

Procedure from library `rootsmr.lib` (see rootsmr_lib).

Usage:
  matbil(h,b,i); h poly, b,i ideal

Return:
  matrix: the matrix of the bilinear form (f,g) |-> trace(m_fhg), m_fhg = multiplication with fhg on r/i

Assume:
  i is a Groebner basis and b is an ordered monomial basis of r/i, r = basering

Example:

    LIB "rootsmr.lib";
    ring r = 0,(x,y),dp;
    ideal i = x4-y2x,y2-13;
    i = std(i);
    ideal b = qbase(i);
    poly f = x3-xy+y-13+x4-y2x;
    matrix m = matbil(f,b,i);
    print(m);
    ==> 0,     13182, 0,     -13182,0,    0,    0,    1014,
    ==> 13182, 0,     -13182,0,     0,    0,    1014, 0,
    ==> 0,     -13182,0,     0,     0,    1014, 0,    -1014,
    ==> -13182,0,     0,     0,     1014, 0,    -1014,0,
    ==> 0,     0,     0,     1014,  0,    -1014,0,    0,
    ==> 0,     0,     1014,  0,     -1014,0,    0,    0,
    ==> 0,     1014,  0,     -1014, 0,    0,    -338, 104,
    ==> 1014,  0,     -1014, 0,     0,    0,    104,  -26

See also: matmult; tracemult.

User manual for Singular version 4.4.1, 2025, generated by texi2html.